Bug 132098 - gcc ICE when compiling qemu CVS
gcc ICE when compiling qemu CVS
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-08 15:33 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 02:56:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source of file gcc crashed on (158.93 KB, text/plain)
2004-09-08 15:34 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-09-08 15:33:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
While compiling qemu's current CVS code, gcc has an internal compiler
error:

/home/bs/src/qemu/target-i386/op.c: In function `op_divw_AX_T0':
/home/bs/src/qemu/target-i386/op.c:301: internal compiler error:
Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccksDRvQ.out file, please attach
this to your bugreport.


Version-Release number of selected component (if applicable):
gcc-3.4.1-9

How reproducible:
Always

Steps to Reproduce:
1. checkout current qemu CVS from savannah.nognu.org
2. cd into the qemu source directory, run ./configure
3. then run make
    

Actual Results:  gcc ICE:
/home/bs/src/qemu/target-i386/op.c: In function `op_divw_AX_T0':
/home/bs/src/qemu/target-i386/op.c:301: internal compiler error:
Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccksDRvQ.out file, please attach
this to your bugreport.


Expected Results:  Correctly finished compiling the program.

Additional info:
Comment 1 Need Real Name 2004-09-08 15:34:19 EDT
Created attachment 103601 [details]
preprocessed source of file gcc crashed on
Comment 2 Arenas Belon, Carlo Marcelo 2004-09-20 03:36:13 EDT
also on fedora rawhide (gcc 3.4.1-10), the same function though with
all dependencies fixed on a smaller example doesn't segfault the
compiler, which might hint to a side effect of the previously compiled
code.

gcc35-3.5.0-0.9 segfaults on the same function.

but compat-gcc-8-3.3.4.2 manages to complete the compilation and
linking of a hopefully healthy binary (even if is not supported as per
the docs and shows TONS of compilation warnings)
Comment 3 Jakub Jelinek 2004-10-04 02:15:49 EDT
Reproduced, looking into it.
Comment 4 Jakub Jelinek 2004-10-04 02:56:59 EDT
Moved upstream, http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17825

Note You need to log in before you can comment on or make changes to this bug.